Bug 499688 - buildok/vfs_testcase.stp fails to build on ppc
buildok/vfs_testcase.stp fails to build on ppc
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.4
ppc64 Linux
medium Severity low
: rc
: ---
Assigned To: Frank Ch. Eigler
BaseOS QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 12:45 EDT by Petr Muller
Modified: 2016-09-19 22:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ppc patch (793 bytes, patch)
2009-05-20 17:08 EDT, David Smith
no flags Details | Diff

  None (edit)
Description Petr Muller 2009-05-07 12:45:12 EDT
Description of problem:
The buildok/vfs_testcase.stp fails to build with 5.4 candidate systemtap, when -u uption is used (it is, when 'make installcheck' is issued). With 5.3 sytemtap, the build was fine. Without '-u' option, the build is fine even with new systemtap, so it's not probably very harmful.

Version-Release number of selected component (if applicable):
# rpm -q systemtap
systemtap-0.9.7-1.el5

How reproducible:
always

Steps to Reproduce:
1. cd /usr/share/systemtap/testsuite/buildok
2. stap -up4 vfs_testcase.stp
  
Actual results:
# stap -v vfs_testcase.stp -up4 --vp 0001
Pass 1: parsed user script and 52 library script(s) in 400usr/10sys/407real ms.
Pass 2: analyzed script: 69 probe(s), 346 function(s), 6 embed(s), 71 global(s) in 1100usr/370sys/1475real ms.
Pass 3: translated to C into "/tmp/stapeJZCuT/stap_b71e9056ba81d96a11ab528af985e4df_165463.c" in 730usr/370sys/1102real ms.
Running make -C "/lib/modules/2.6.18-141.el5/build" M="/tmp/stapeJZCuT" modules >/dev/null
/tmp/stapeJZCuT/stap_b71e9056ba81d96a11ab528af985e4df_165463.c: In function ?function_uaddr?:
/tmp/stapeJZCuT/stap_b71e9056ba81d96a11ab528af985e4df_165463.c:21683: error: implicit declaration of function ?task_pt_regs?
cc1: warnings being treated as errors
/tmp/stapeJZCuT/stap_b71e9056ba81d96a11ab528af985e4df_165463.c:21683: warning: assignment makes pointer from integer without a cast
make[1]: *** [/tmp/stapeJZCuT/stap_b71e9056ba81d96a11ab528af985e4df_165463.o] Error 1
make: *** [_module_/tmp/stapeJZCuT] Error 2
Pass 4: compiled C into "stap_b71e9056ba81d96a11ab528af985e4df_165463.ko" in 1380usr/180sys/1570real ms.
Pass 4: compilation failed.  Try again with another '--vp 0001' option.
Running rm -rf /tmp/stapeJZCuT

Expected results:
# stap -v vfs_testcase.stp -p4 --vp 0001
Pass 1: parsed user script and 52 library script(s) in 390usr/10sys/404real ms.
Pass 2: analyzed script: 69 probe(s), 58 function(s), 6 embed(s), 71 global(s) in 1180usr/360sys/1545real ms.
Pass 3: translated to C into "/tmp/stap8ySZi4/stap_882c74e29974648ff8bbf1087197ba48_77834.c" in 700usr/360sys/1068real ms.
Running make -C "/lib/modules/2.6.18-141.el5/build" M="/tmp/stap8ySZi4" modules >/dev/null
/root/.systemtap/cache/88/stap_882c74e29974648ff8bbf1087197ba48_77834.ko
Pass 4: compiled C into "stap_882c74e29974648ff8bbf1087197ba48_77834.ko" in 10030usr/660sys/10298real ms.
Copying /tmp/stap8ySZi4/stapconf_63be01b45cd2405849cedf65fce37d34_417.h to /root/.systemtap/cache/63/stapconf_63be01b45cd2405849cedf65fce37d34_417.h
Copying /tmp/stap8ySZi4/stap_882c74e29974648ff8bbf1087197ba48_77834.ko to /root/.systemtap/cache/88/stap_882c74e29974648ff8bbf1087197ba48_77834.ko
Copying /tmp/stap8ySZi4/stap_882c74e29974648ff8bbf1087197ba48_77834.c to /root/.systemtap/cache/88/stap_882c74e29974648ff8bbf1087197ba48_77834.c
Cache limit file /root/.systemtap/cache/cache_mb_limit missing, creating default.
Running rm -rf /tmp/stap8ySZi

Additional info:
Definitely ppc only, I've tried all other architectures.
Comment 2 Frank Ch. Eigler 2009-05-20 12:47:03 EDT
See http://sources.redhat.com/PR10117, fixed by upstream commit 3ba2eb82.
Fix will be backported for the next respin.
Comment 3 David Smith 2009-05-20 17:08:07 EDT
Created attachment 344878 [details]
ppc patch

Here's commit 3ba2eb82.  I've verified that this patch applies cleanly to 0.9.7.
Comment 8 David Smith 2009-05-21 13:19:32 EDT
After getting access to a ppc system, I've verified that the patch allows "stap -up4 vfs_testcase.stp" to complete successfully.
Comment 11 errata-xmlrpc 2009-09-02 06:00:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1313.html

Note You need to log in before you can comment on or make changes to this bug.